package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: UploadUrlReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:37
 */
@Data
public class Nft021UploadUrlResp implements Serializable {
    /**
     * cos地址
     */
    private String materialAddress;

    private static final Nft021UploadUrlResp obj = new Nft021UploadUrlResp();
    public static Nft021UploadUrlResp getNew() {
        try {
            return (Nft021UploadUrlResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft021UploadUrlResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
